- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.contentPacks/alignPlaybooks#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.contentPacks/alignPlaybooks#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.contentPacks/alignPlaybooks#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.contentPacks/alignPlaybooks#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.contentPacks/alignPlaybooks#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.contentPacks/alignPlaybooks#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.contentPacks/alignPlaybooks#body.aspect_1)
- [IntegrationInstanceMap](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.contentPacks/alignPlaybooks#IntegrationInstanceMap)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.contentPacks/alignPlaybooks#IntegrationInstanceMap.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.contentHub.contentPacks.alignPlaybooks

Aligns playbooks in a content pack with configured integration instances. Use this method to ensure the correct integration instances are configured on the imported playbooks.

### HTTP request

`POST https://{endpoint}/v1beta/{name}:alignPlaybooks`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the ContentPack to align playbooks. Format: projects/{project}/locations/{location}/instances/{instance}/contentHub/contentPacks/{contentPack} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "integrationInstanceMapping": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.contentPacks/alignPlaybooks#IntegrationInstanceMap`) } ] } ``` |

| Fields ||
|---|---|
| `integrationInstanceMapping[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contentHub.contentPacks/alignPlaybooks#IntegrationInstanceMap`)`` Output only. Integration name and its identifier to align the playbooks to |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.contentPacks.install`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## IntegrationInstanceMap

Integration Instance Map

| JSON representation |
|---|
| ``` { "integrationId": string, "instanceId": string } ``` |

| Fields ||
|---|---|
| `integrationId` | `string` Required. Integration Identifier |
| `instanceId` | `string` Required. The instance identifier to align the playbook too |